New pie chart code for the Ubuntu Notification Daemon theme

Bug #132512 reported by Alexander Jones on 2007-08-14
2
Affects Status Importance Assigned to Milestone
notification-daemon (Ubuntu)
Undecided
Michael Vogt

Bug Description

Binary package hint: notification-daemon

notification-daemon (0.3.7-1ubuntu6) gutsy; urgency=low

  * debian/patches/01_ubuntu_theme.patch:
    - Update countdown_expose_cb to draw a nice new pie chart with Cairo.
    - Add get_tooltip_style function to isolate the hack that we are using to
      get the tooltip GtkStyle.
    - Add fill_background function (like in the standard theme).
    - Use get_tooltip_style in draw_border and fill_background.

 -- Alex Jones <email address hidden> Tue, 14 Aug 2007 18:58:35 +0100

Alexander Jones (alex-weej) wrote :
Changed in notification-daemon:
assignee: nobody → mvo
Alexander Jones (alex-weej) wrote :
Alexander Jones (alex-weej) wrote :

In case we want to go back to the insensitive colour (grey) instead, it's just a case of changing

  gdk_cairo_set_source_color(cr, &style->base[GTK_STATE_SELECTED]);

to

  gdk_cairo_set_source_color(cr, &style->base[GTK_STATE_INSENSITIVE]);

in countdown_expose_cb.

Alexander Jones (alex-weej) wrote :
Alexander Jones (alex-weej) wrote :
Michael Vogt (mvo) wrote :

notification-daemon (0.3.7-1ubuntu6) gutsy; urgency=low

  * 01_ubuntu_theme.patch:
    - improve the pie chart (LP: #132512), thanks to
      Alex Jones

 -- Michael Vogt <email address hidden> Wed, 15 Aug 2007 13:37:03 +0200

Changed in notification-daemon:
status: New → Fix Released
Scott Robinson (scott-ubuntu) wrote :

Very nice!

Alexander Jones (alex-weej) wrote :

Code didn't actually go in...

Changed in notification-daemon:
status: Fix Released → In Progress
Michael Vogt (mvo) wrote :

notification-daemon (0.3.7-1ubuntu7) gutsy; urgency=low

  * 01_ubuntu_theme.patch:
    - improve the pie chart (LP: #132512), thanks to
      Alex Jones (for real this time)

 -- Michael Vogt <email address hidden> Thu, 16 Aug 2007 22:54:48 +0200

Changed in notification-daemon:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers